/** @jsxImportSource @emotion/react */
export declare const createTextFieldStyles: () => import("twin.macro").TwStyle[];
declare const TextField: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, {}>;
export default TextField;
